#pragma once

#include "CoreMinimal.h"
#include "HudTutorialBlockingNotificationViewInterface.h"
#include "CoreBaseHudWidget.h"
#include "NotifTutoConfirmButtonClickDelegate.h"
#include "CoreHudTutorialBlockingNotificationWidget.generated.h"

class UCoreInputSwitcherWidget;
class UAkAudioEvent;

UCLASS(Blueprintable, EditInlineNew)
class DBDUIVIEWSCORE_API UCoreHudTutorialBlockingNotificationWidget : public UCoreBaseHudWidget, public IHudTutorialBlockingNotificationViewInterface
{
	GENERATED_BODY()

protected:
	UPROPERTY(BlueprintReadWrite, meta=(BindWidgetOptional))
	UCoreInputSwitcherWidget* ProgressionInputSwitcher;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	UAkAudioEvent* ClosePopupSfx;

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, BlueprintCallable, meta=(AllowPrivateAccess=true))
	FNotifTutoConfirmButtonClickDelegate _notifTutoConfirmButtonClickDelegate;

public:
	UCoreHudTutorialBlockingNotificationWidget();
};

FORCEINLINE uint32 GetTypeHash(const UCoreHudTutorialBlockingNotificationWidget) { return 0; }
